# Generated by Django 2.0.5 on 2019-11-25 11:11

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [("document", "0031_auto_20191120_1039")]

    def port_docs_and_templates(apps, schema_editor):
        """
        Port old documents and templates to the new structure.
        """
        SOWDocument = apps.get_model("document", "SOWDocument")
        # add doc_type to documents
        from document.migration_util import port_template

        for doc in SOWDocument.objects.all():
            doc_type = doc.base_template.type
            doc.doc_type = doc_type
            doc.json_config = port_template(doc.json_config, doc_type)
            doc.save()
        SOWTemplate = apps.get_model("document", "SOWTemplate")
        for template in SOWTemplate.objects.all():
            template.json_config = port_template(
                template.json_config, template.base_template.type
            )
            template.save()

    operations = [migrations.RunPython(port_docs_and_templates)]
